package zap;

import VASSAL.configure.Configurer;
import VASSAL.build.module.documentation.HelpFile;
import VASSAL.build.*;
import VASSAL.build.module.*;
import VASSAL.counters.*;

public class MyCounterFactory extends BasicCommandEncoder implements Configurable {
    public Decorator createDecorator(String type, GamePiece inner) {
	Decorator piece = null;
	if (type.startsWith(Magnifier.ID)) {
	    piece = new Magnifier(type,inner);
	}
	else {
	    piece = super.createDecorator(type,inner);
	}
	return piece;
    }

    public void removeFrom(Buildable parent) {
	GameModule.getGameModule().removeCommandEncoder(this);
    }


    public void remove(Buildable child) {}

    public String getConfigureName() {
      return "Zap Wars Counter Factory";
    }

    public HelpFile getHelpFile() {
      return null;
    }

    public Configurable[] getConfigureComponents() {
      return new Configurable[0];
    }

    public Configurer getConfigurer() {
      return null;
    }

    public Class[] getAllowableConfigureComponents() {
      return new Class[0];
    }

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l) {}
}
